////////////////////////////////////////////////////////////////////////////////
// Name:        mytext.h (generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/19/01 07:30:54
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
//////////////////////////////////////////////////////////////////////////////////

#ifndef __MYTEXT_G__
#define __MYTEXT_G__

#include "wx/wx.h"
#include "wx/wspp/all.h"

// %%INFO-{
// { TEMPL = "wxTextCtrl for C++" WND_RES = "MyText" MENU_RES = "" IMP_FILE = "mytext.cpp" DECL_FILE = "mytext.h" CLASS = "MyTextCtrl" RES_FILE = "demo.xrc" }
// %%INFO-}

class MyTextCtrl : public wxTextCtrl
{
public:
	MyTextCtrl();
	~MyTextCtrl();

	// %%EVT_DECLS-{
	void OnInitDialog( wxInitDialogEvent& event );
	void OnPaint( wxPaintEvent& event );
	void OnCharHook( wxKeyEvent& event );
	// %%EVT_DECLS-}	

	// %%GETTER_DECLS-{
	// %%GETTER_DECLS-}

	// %%SETTER_DECLS-{
	// %%SETTER_DECLS-}
	
	DECLARE_EVENT_TABLE()
	DECLARE_DYNAMIC_CLASS( MyTextCtrl )	

protected:
	void ExchangeValues( bool toControls );
	void DoInit();	
	
	void DoPaint( wxDC& dc );

protected:
	// %%MEMBER_DECLS-{
	// %%MEMBER_DECLS-}

	// %%CTL_MEMBER_DECLS-{
	// %%CTL_MEMBER_DECLS-}
};

#endif // __MYTEXT_G__
